# Auto Tag Plugin

## Overview

The **Auto Tag Plugin** automatically tags links based on their content using pre-configured keyword-to-tag mappings. It ensures consistent and relevant tagging while saving time.

## Features

- Automatically adds tags to links based on title, URL, description, and content.
- Fully customizable keyword-to-tag mappings.
- Adds a fixed tag (`auto-tagged`) to all processed links.

## Usage

1. **Install**: Copy the plugin files into your Shaarli plugin directory and enable it in the admin panel.
2. **Configure**: Add your keyword-to-tag mappings in the Shaarli configuration file:
   ```php
   'plugins' => [
       'AUTO_TAG_KEYWORDS' => [
           'docker,kubernetes' => 'containers,devops',
           'privacy,security' => 'privacy-and-security',
           'automation,scripting' => 'automation,productivity',
       ],
   ],
   ```
## How It Works

1. **Analyze**: The plugin checks the link's title, URL, description, and content for keywords.
2. **Tag**: Matches are scored, and relevant tags are applied (up to 7 by default).
3. **Save**: Tags are saved with the link, including the fixed `auto-tagged` tag for identification.

## FAQ

**What if no keywords match?**  
No tags will be added, except for `auto-tagged`.

**Can I disable auto-tagging for some links?**  
You can manually edit the tags after saving.

**Is external content stored?**  
No, the content is analyzed only during the tagging process.

## License

This plugin is open-source and distributed under the [MIT License](https://opensource.org/licenses/MIT).
